Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Consulte o histórico de solicitações de antecipação
GET /api/advances/
page
integer
1
limit
20
curl --request GET \ --url 'https://upay-sistema-api.onrender.com/api/advances/?page=1&limit=20' \ --header 'Authorization: Bearer SEU_JWT_TOKEN'
200 OK
{ "success": true, "data": [ { "id": "550e8400-e29b-41d4-a716-446655440000", "amountCents": 50000, "netAmountCents": 48500, "feeCents": 1500, "status": "COMPLETED", "createdAt": "2026-05-25T00:00:00.000Z", "completedAt": "2026-05-26T00:00:00.000Z" } ], "meta": { "page": 1, "limit": 20, "total": 3, "totalPages": 1 } }
GET /api/advances/:id
curl --request GET \ --url https://upay-sistema-api.onrender.com/api/advances/550e8400-e29b-41d4-a716-446655440000 \ --header 'Authorization: Bearer SEU_JWT_TOKEN'
{ "success": true, "data": { "id": "550e8400-e29b-41d4-a716-446655440000", "amountCents": 50000, "netAmountCents": 48500, "feeCents": 1500, "feePercentage": 3.0, "status": "COMPLETED", "reason": "Capital de giro", "createdAt": "2026-05-25T00:00:00.000Z", "completedAt": "2026-05-26T00:00:00.000Z" } }